Loading...
Searching...
No Matches
viterbi.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/trellis/api.h>`
`#include <gnuradio/trellis/core_algorithms.h>`
`#include <gnuradio/trellis/fsm.h>`
`#include <cstdint>`
Include dependency graph for gr-trellis/include/gnuradio/trellis/viterbi.h:

Go to the source code of this file.

## Classes

class | gr::trellis::viterbi< T >

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::trellis

## Typedefs

typedef viterbi< std::uint8_t > | gr::trellis::viterbi_b
typedef viterbi< std::int16_t > | gr::trellis::viterbi_s
typedef viterbi< std::int32_t > | gr::trellis::viterbi_i